/****************************************************************************/
/**                                                                        **/
/**                    Fr Borland C++ (Version 3.1)                      **/
/**                                                                        **/
/**                             Version 1.B.                               **/
/**                                                                        **/
/**                   Erstellungsdatum : 10.03.94 15:45                    **/
/**                   letzte Aenderung : 10.03.94 15:45                    **/
/**                             Status : in Arbeit                         **/
/**                              Autor : H.K.                              **/
/**                                                                        **/
/**            (c) 1993/94 SORCUS Computer GmbH Heidelberg                 **/
/**                                                                        **/
/****************************************************************************/
/** FFT-Algorithmus                                                        **/
/** wird als Unit fuer Turbo-PASCAL 7.0 und als .OBJ fuer Borland C++      **/
/** geliefert                                                              **/
/** Alle Switches entsprechen der Standardvorgabe fuer die                 **/
/** ML8RTBIB                                                               **/
/** Verfuegbare Prozeduren:                                                **/
/** void fft_routine(int Anzahl,                                           **/
/**                  int * OriginalDaten_Real,                             **/
/**                  int * OriginalDaten_Imag,                             **/
/**                  int * FFT_Daten_Real,                                 **/
/**                  int * FFT_Daten_Imag);                                **/
/**                                                                        **/
/** void power(int Anzahl,                                                 **/
/**            int * FFT_Daten_Real,                                       **/
/**            int * FFT_Daten_Imag,                                       **/
/**            long * PowerDaten);                                         **/
/**                                                                        **/
/** void hamming(int Anzahl,                                               **/
/**              int * OriginalDaten_Real,                                 **/
/**              int * HammingDaten);                                      **/
/**                                                                        **/
/** void hanning(int Anzahl,                                               **/
/**              int * OriginalDaten_Real,                                 **/
/**              int * HanningDaten);                                      **/
/**                                                                        **/
/****************************************************************************/

#define PI 3.141592653589793285

#ifdef __DLL__
  #define EXPORT	_export far pascal
  #define PFAR		far pascal
#elif UNIX
  #define EXPORT
  #define PFAR
#else
  #define EXPORT	far pascal
  #define PFAR		far pascal
#endif

/* FFT erzeugen
*/
void EXPORT fft_routine(int Anzahl, int *OriginalDaten_real, int *OriginalDaten_Imag,
                             int *FFT_Daten_Real, int *FFT_Daten_Imag);

/* Powerspektrum ermitteln
*/
void EXPORT power(int Anzahl, int * FFT_Daten_Real, int * FFT_Daten_Imag, int * PowerDaten);

/* Bewertung durch Hamming-Fenster
*/
void EXPORT hamming(int Anzahl, int * OriginalDaten_Real, int * HammingDaten);

/* Bewertung durch Hanning-Fenster
*/
void EXPORT hanning(int Anzahl, int * OriginalDaten_Real, int * HanningDaten);
